﻿#region License

// //=======================================================================
// *  Author: Dan Ove Aalstad
// *  Copyright (C) 2012 AutoSoft AS
// *  Filename: MainWindow.xaml.cs
// *  Created: 2012-06-05 08:02
// */
// //=======================================================================

#endregion

using System;
using System.Collections.Generic;
using System.Globalization;
using System.Threading;
using System.Windows;
using Stimulsoft.Report;

namespace CultureProblem
{
    public class ReportItem
    {
        public string Description { get; set; }
        public int Id { get; set; }
        public string IdAsString { get; set; }
    }

    /// <summary>
    ///   Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            Thread.CurrentThread.CurrentCulture = new CultureInfo("nb-NO");
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("nb-NO");

            this.InitializeComponent();
        }

        private void OpenDesigner_Click(object sender, RoutedEventArgs e)
        {
            var report = this.LoadReport();
            report.DesignWithWpf();
        }

        private void OpenViewer_Click(object sender, RoutedEventArgs e)
        {
            var report = this.LoadReport();
            report.ShowWithWpf();
        }

        private StiReport LoadReport()
        {
            var items = new List<ReportItem>();
            var report = new StiReport();
            report.Load("Resources\\Report.mrt");

            report.Dictionary.Clear();
            items.Add(new ReportItem {Id = 1, IdAsString = "1", Description = "Expected 1. place"});
            items.Add(new ReportItem {Id = 2, IdAsString = "2", Description = "Expected 2. place"});
            items.Add(new ReportItem {Id = 3, IdAsString = "3", Description = "Expected 3. place"});
            items.Add(new ReportItem {Id = 10, IdAsString = "10", Description = "Expected 4. place"});
            items.Add(new ReportItem {Id = 11, IdAsString = "11", Description = "Expected 5. place"});
            items.Add(new ReportItem {Id = 12, IdAsString = "12", Description = "Expected 6. place"});
            items.Add(new ReportItem {Id = 20, IdAsString = "20", Description = "Expected 7. place"});
            items.Add(new ReportItem {Id = 21, IdAsString = "21", Description = "Expected 8. place"});
            items.Add(new ReportItem {Id = 22, IdAsString = "22", Description = "Expected 9. place"});

            report.RegBusinessObject("Items", items);
            report.Dictionary.Synchronize();

            return report;
        }
    }
}